#ifndef HEADER_arduino_dds_h
#define HEADER_arduino_dds_h

#include <stddef.h>
#include <stdint.h>
#include <stdlib.h>
#include <stdbool.h>
#include <math.h>
#include <float.h>
#include <limits.h>
#include <string.h>

#ifdef __cplusplus
extern "C"
{
#endif 

typedef struct {
	double UnitDelay_state;
	double UnitDelay_1_state;
	double UnitDelay_1_1_state;
	bool previos_state;
	double UnitDelay_2_state;
	double UnitDelay_3_state;
	double counter_state;
	bool direction_state;
} Ext_arduino_dds_S;

extern Ext_arduino_dds_S arduino_dds_S;

extern void arduino_dds_init();
extern void arduino_dds_step();
extern void arduino_dds_term();

#ifdef __cplusplus
} 
#endif 

#endif 
