#include "arduino_dds.h"

void do_step(void)
{
	static bool OverrunFlag = false;

	/* Check for overrun */
	if (OverrunFlag) {
		return;
	}

	OverrunFlag = true;

	/* Step the model */
	arduino_dds_step();

	/* Indicate task complete */
	OverrunFlag = false;
}

int main(int argc, char *argv[])
{
	(void) argc;
	(void) argv;

	/* Initialize model */
	arduino_dds_init();

	while (1) {
		/* Perform application tasks here */
	}

	/* Terminate model */
	arduino_dds_term();
	return 0;
}
